import { createFileSystemReader } from '@previewjs/vfs';
import createLogger from 'pino';
import prettyLogger from 'pino-pretty';

function factoryWithDefaultOptions(factory) {
  return (options) => factory({
    ...options,
    reader: options.reader || createFileSystemReader(),
    logger: options.logger || createLogger({ level: "debug" }, prettyLogger({ colorize: true }))
  });
}

export { factoryWithDefaultOptions };
